dask (2024.12.1+dfsg-2build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 16 Jan 2026 19:42:28 +0000

dask (2024.12.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Skip test_reductions_out[product] with numpy >= 2 (closes: #1095019).

 -- Colin Watson <cjwatson@debian.org>  Tue, 04 Feb 2025 10:15:05 +0000

dask (2024.12.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - Add support for Python 3.13 (closes: #1088234).
  * Disable dask theme for now, until #1085947 is fixed (closes: #1091016).
  * Skip some tests that require pyarrow.
  * Don't fail test_nanquantile_all_nan if RuntimeWarning is not raised.

 -- Colin Watson <cjwatson@debian.org>  Mon, 06 Jan 2025 15:41:08 +0000

dask (2024.5.2+dfsg-1) unstable; urgency=medium

  [ Étienne Mollier ]
  * Team upload.
  * New upstream version 2024.5.2+dfsg
    Closes: #1068422, #1069821, #1069359
  * ignore_some_sphinx_packages: patch refreshed.
  * force-little-endian-random.patch: remove, issue fixed upstream.
  * Unfuzz patches.
  * Delete unused patches.
  * fix-test_accessors.patch: new.
  * d/copyright: fix a file statement causing a spurious lintian warning.

  [ Diane Trout ]
  * Refresh use-local-intersphinx.patch
  * Add python-fsspec-doc and python3-doc for local object.inv files
  * Cache Xarray logo in _images/Xarray_Logo_RGB_Final.png to avoid
    privacy breach
  * Add disable-dask-expr-docs.patch (Closes: #1073183)
    Trying to autogenerate the api for a library that's not available in
    Debian caused sphinx-build to fail without generating any html files.
  * Add a minimal check in d/rules to make sure that at least some
    documentation was built.
  * Oops. Use the longer more descriptive name.
    I started with one name and then changed it and did all my test builds
    before cleaning up the "unused" files.

  [ Étienne Mollier ]
  * cleanup-some-privacy-breaches.patch: new.
    This cleans up some privacy breaches in dask documentation,
    essentially where online resources do not bring much to the
    comprehension.
  * d/control: declare compliance to standards version 4.7.0.
  * d/README.source: document keeping dask.distributed synchronized.
  * d/rules: remove spurious license file tripping lintian.

 -- Étienne Mollier <emollier@debian.org>  Sun, 16 Jun 2024 20:20:55 +0200

dask (2024.1.1+dfsg-1) unstable; urgency=medium

  * Team upload

  [ Alexandre Detiste ]
  * New upstream release
  * Suggests: python3-boto3 instead of python3-boto
  * Refresh use-youtube-nocookie.patch

  [ Jeremy Bícha ]
  * Refresh patch
  * Drop patch applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 01 May 2024 08:32:03 -0400

dask (2023.12.1+dfsg-2) unstable; urgency=medium

  * Build-depend on dask.distributed (needed to build -1 without this for
    bootstrapping)

 -- Julian Gilbey <jdg@debian.org>  Wed, 03 Jan 2024 21:34:32 +0000

dask (2023.12.1+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream version (closes: #1053947, #1056239)
  * Skip test known to fail on Python 3.12

 -- Julian Gilbey <jdg@debian.org>  Tue, 02 Jan 2024 21:51:10 +0000

dask (2023.8.0+dfsg-2) unstable; urgency=medium

  * Add force-little-endian-random.patch to try and initialize random
    number generator on s380x the same as on x86_64 (Closes: #1050526)
  * Depend on dask-sphinx-theme 3.0.5-2 to avoid accidentally including
    googletagmanager in the documentation.

 -- Diane Trout <diane@ghic.org>  Fri, 25 Aug 2023 21:22:33 -0700

dask (2023.8.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Remove reproducible-version.patch, use-debian-version.patch
    Upstream removed the embedded copy of versioneer.
  * Add python3-versioneer dependency.
  * Refresh patches.
  * Add python3-sphinx-design dependency for better documentation
  * Add pybuild-plugin-pyproject build dependency for pyproject.toml
  * Change disable autopkgtests
    - test_describe_empty seems to work now.
    - test_RandomState_only_funcs fails for not throwing a
      deprecationwarning
  * Add python3-importlib-metadata Build-Depends for sphinx autosummary
  * Disable patches that may not be needed
    - skip-dtype-test-on-32bit.patch
    - no_newline_error.patch
  * add tzdata-legacy to control and test/control for some timezone tests
  * Add verbatim-sphinx-ipython.patch to avoid updating ipython output
    during the build process. This should improve reproducibility.

 -- Diane Trout <diane@ghic.org>  Thu, 10 Aug 2023 16:02:14 -0700

dask (2022.12.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Drop python3-bcolz from Suggests
  * Drop python3-bcolz from Test-Depends

 -- Andreas Tille <tille@debian.org>  Wed, 01 Feb 2023 20:49:00 +0100

dask (2022.12.1+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * New upstream version
    Closes: #1025393, #1027254
  * Simplify watch file
  * Standards-Version: 4.6.2 (routine-update)
  * Add salsa-ci file (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Ignore some sphinx packages that are not packaged yet
  * yaml.min.js should be properly excluded from upstream source.  Just
    in case it is needed it can be taken from debian/missing-sources.

  [ Rebecca N. Palmer ]
  * Docs: continue to use our js-yaml.
  * Temporarily remove python3-distributed B-D to break cycle.
    Closes: #1028667
  * Docs: ignore build errors.
  * Tests: be compatible with our CI setup.
  * Remove newline from error message, to not break python3-intake.

 -- Andreas Tille <tille@debian.org>  Mon, 16 Jan 2023 10:22:16 +0100

dask (2022.02.0+dfsg-2) unstable; urgency=medium

  * Add skip-dtype-test-on-32bit.patch (Closes: #1016719)

 -- Diane Trout <diane@ghic.org>  Thu, 18 Aug 2022 14:23:16 -0700

dask (2022.02.0+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * split tests/control Tests-Command: into a separate shell script
  * Add sphinx-remove-toctree and sphinx-tabs to build-depends
  * add 32-bit compatibility patch for pandas 1.3
    See https://github.com/dask/dask/issues/8169
  * Copy conftest.py into test directory for autopkgtests
  * Add python3-ipython as a build-dependency.
    - it provides a sphinx formatting extension.
  * Add patch pytest-futurewarning.patch for compatibility with our pytest
  * Add scipy-1.8.patch (Closes: #1013080) for Scipy 1.8 compatibility
    Thanks: Graham Inggs
  * run autopkgtest on all supported versions
  * Remove built-using on -doc package

 -- Diane Trout <diane@ghic.org>  Thu, 04 Aug 2022 11:15:42 -0700

dask (2021.09.1+dfsg-2) unstable; urgency=medium

  * add 32-bit compatibility patch for pandas 1.3
    See https://github.com/dask/dask/issues/8169
  * Upstream was concerned the 32-bit patch might not work with older
    versions of pandas, so require at least pandas version 1.3
  * Remove executable bit from dask/dataframe/io/orc/utils.py

 -- Diane Trout <diane@ghic.org>  Mon, 20 Dec 2021 21:39:22 -0800

dask (2021.09.1+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #995782)
  * Refresh patches
  * Update Standards-Version. No changes needed.
  * Add reproducible-config-autofunction.patch to remove
    a source of unreproducibility

 -- Diane Trout <diane@ghic.org>  Fri, 08 Oct 2021 14:30:58 -0700

dask (2021.08.1+dfsg-3) unstable; urgency=medium

  * Add Suggests for python3-jinja2 which is needed for widgets
  * Make sure js-yaml.js is available for python-dask-doc

 -- Diane Trout <diane@ghic.org>  Sun, 19 Sep 2021 20:01:52 -0700

dask (2021.08.1+dfsg-2) unstable; urgency=medium

  * Skip network tests in autopkgtest (Closes: 956069)
    - Thanks Christian Kastner
  * Properly link to sphinx_rtd_theme and node-js-yaml resources
    (Closes: #988794)

 -- Diane Trout <diane@ghic.org>  Thu, 02 Sep 2021 18:23:17 -0700

dask (2021.08.1+dfsg-1) unstable; urgency=medium

  [ Diane Trout ]
  * New upstream release
  * Fix fake http proxy url as dask's build system parses it
  * Modify the documentation build process to use local files
    - Cache copies of yaml files hosted at raw.githubusercontent.com/dask/
    in debian/
    - Add target to debian/rules to download the files
  * Update Standards-Version to 4.5.1. No changes needed.
  * Use Rules-Requires-Root: no
  * Update to debhelper-compat 13
  * Add python-asyncssh-doc as doc dependency
  * Add link to sphinx_rtd_theme html5shiv.min.js
  * Use Debian version of js-yaml
  * Refresh patches
  * Update use-local-intersphinx to use the local asyncssh docs
  * Remove pandas-1.1 compatibility patches, resolved upstream
  * Require a version of sparse that includes SparseArray
  * Update cached yaml schema files

  [ Stefano Rivera ]
  * Patch: Use youtube-nocookie.com in docs.

 -- Diane Trout <diane@ghic.org>  Mon, 07 Dec 2020 14:36:39 -0800

dask (2.11.0+dfsg-3) unstable; urgency=medium

  * Team upload.
  * No-change source-only upload after manually re-bootstrapping with pandas
    1.1.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 19 Oct 2020 15:11:47 -0700

dask (2.11.0+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Stefano Rivera ]
  * Round-trip patches through gbp-pq.
  * Patch: Compatibility with pandas 1.1, Thanks Rebecca Palmer.
    (Closes: #969648)
  * wrap-and-sort control files.
  * Patches for compatibility with current fsspec. (Closes: #972516)
    - Depend on python3-aiohttp for autopkgtests.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 19 Oct 2020 13:39:49 -0700

dask (2.11.0+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Indicate stats.py copyright is from scipy.
  * New release fixes pandas 1.0 compatitibility (Closes: #950927)

 -- Diane Trout <diane@ghic.org>  Wed, 26 Feb 2020 13:01:52 -0800

dask (2.8.1+dfsg-0.4) unstable; urgency=medium

  * Non-maintainer upload
  * Xfail test_temporary_directory on Python 3.8

 -- Graham Inggs <ginggs@debian.org>  Sat, 04 Jan 2020 21:52:04 +0000

dask (2.8.1+dfsg-0.3) unstable; urgency=medium

  * Non-maintainer upload
  * Allow output to stderr in autopkgtest to
    ignore warnings with Python 3.8

 -- Graham Inggs <ginggs@debian.org>  Sun, 29 Dec 2019 13:55:58 +0000

dask (2.8.1+dfsg-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add python3-packaging to the autopkg test dependencies.

 -- Matthias Klose <doko@debian.org>  Wed, 04 Dec 2019 20:38:16 +0100

dask (2.8.1+dfsg-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version. Closes: #942235.
  * (Build)-depend on python3-fsspec.
  * Add python3-fsspec to the autopkg test dependencies.

 -- Matthias Klose <doko@debian.org>  Wed, 04 Dec 2019 13:03:47 +0100

dask (2.6.0+dfsg-1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.

  [ Drew Parsons ]
  * New upstream release.
   - applies patches:
      avoid-duplicate-notes-with-numpydoc.patch
      numpy-1.16-dtype.patch
      numpy-1.16-gufunc.patch
   - Build-Depends: python3-sphinx-click

 -- Ondřej Nový <onovy@debian.org>  Sat, 20 Jul 2019 00:33:55 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog python-dask-doc`.
